# Visualization
TKV3d
AIS

# AIS_DimensionOwner Class Reference

The owner is the entity which makes it possible to link
the sensitive primitives and the reference shapes that
you want to detect. It stocks the various pieces of
information which make it possible to find objects. An
owner has a priority which you can modulate, so as to
make one entity more selectable than another. You
might want to make edges more selectable than
faces, for example. In that case, you could attribute sa
higher priority to the one compared to the other. An
edge, could have priority 5, for example, and a face,
priority 4. The default priority is 5.
.

`#include <AIS_DimensionOwner.hxx>`

Inheritance diagram for AIS_DimensionOwner:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_DimensionOwner (const Handle(SelectMgr_SelectableObject)&aSO, const Standard_Integer aPriority=0)
| Initializes the dimension owner, aSO, and attributes it the priority, aPriority. .
void | SetShape (const TopoDS_Shape &aShape)
| Constructs the reference shape owner aShape for presentation primitives. .
const TopoDS_Shape & | FixedShape () const
| Returns the owner shape whose primitives we are concerned with. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myFixedShape

## Constructor & Destructor Documentation

Standard_EXPORT AIS_DimensionOwner::AIS_DimensionOwner | ( | const Handle(SelectMgr_SelectableObject)& | aSO,
|  | const Standard_Integer | aPriority = `0`
| ) |

## Member Function Documentation

const TopoDS_Shape & AIS_DimensionOwner::FixedShape | ( |  | ) | const`[inline]`

Standard_EXPORT const AIS_DimensionOwner::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_EntityOwner.

void AIS_DimensionOwner::SetShape | ( | const TopoDS_Shape & | aShape | ) | `[inline]`

## Field Documentation

TopoDS_Shape AIS_DimensionOwner::myFixedShape `[private]`

The documentation for this class was generated from the following files:

- AIS_DimensionOwner.hxx
- AIS_DimensionOwner.lxx